SARIF-REPLAY-16(1)

NAME
sarif-replay-16 - Replay results from one or more .sarif files as if they were GCC diagnostics

DESCRIPTION
sarif-replay [OPTIONS] FILE+

    "Replay" results from one or more .sarif files as if they were GCC diagnostics

OPTIONS

-fdiagnostics-add-output=SCHEME

    Add an additional output sink when replaying diagnostics, as per the gcc option

-fdiagnostics-color={never|always|auto}

Control colorization of diagnostics.
    Default: auto.

-fjson-comments

    Support C and C++ style comments in .sarif JSON files

--verbose

    Print notes about each .sarif file before and after replaying it.

--echo-file

    Print the filename and file contents to stderr before replaying it.

-v, --version

    Print version and exit.

--usage

    Print this message and exit.

Options for maintainers:

-fdebug-physical-locations

    Dump debugging information about physical locations to stderr.